-- RT56 RP
NDefines.NPolitics.BASE_POLITICAL_POWER_INCREASE = 2.5
NDefines.NDiplomacy.IDEOLOGY_JOIN_FACTION_MIN_LEVEL = 0.0				-- 0.3, ideology limit required to join faction
--NDefines.NDiplomacy.PEACE_SCORE_PER_PASS = 0.5							-- 0.2, When you pass in a peace deal you gain this percent of your original score
NDefines.NGame.EVENT_TIMEOUT_DEFAULT = 20								-- 13, Default days before an event times out if not scripted
NDefines.NProduction.RAILWAY_GUN_MAX_MIL_FACTORIES_PER_LINE = 10		-- 5
NDefines.NProduction.FLOATING_HARBOR_MAX_NAV_FACTORIES_PER_LINE = 10	-- 5
--NDefines.NAir.AIR_WING_MAX_SIZE = 100									-- 1000


NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_NO_TRUCK_DISRUPTION_FACTOR = 0.02 			-- 0.02, If a unit isn't motorized, still disrupt its supply by damage * this
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_TRUCK_DAMAGE_FACTOR = 0.25					-- 0.35
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_INFRA_DAMAGE_SPILL_FACTOR = 0.0008 			-- 0.0016, Portion of truck damage to additionally deal to infrastructure
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_TRAIN_DAMAGE_FACTOR = 0.030					-- 0.04
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_TRAIN_DAMAGE_DISRUPTION_MITIGATION = 6.0 	-- 6.0, Multiply Train Damage by (Smooth / (Smooth + (Disruption * Mitigation)))
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_TRAIN_DAMAGE_DISRUPTION_SMOOTHING = 5.0		-- 5.0
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_RAILWAY_DAMAGE_SPILL_FACTOR = 0.005 		-- 0.006, Portion of train damage to additionally deal to railways
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_DISRUPTION_MIN_DAMAGE_FACTOR = 0.1 			-- 0.1, Multiply train damage by this factor, scale from 1.0 at 0 disruption to this at AIR_WING_ATTACK_LOGISTICS_MAX_DISRUPTION_DAMAGE_TO_CONSIDER
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_MAX_DISRUPTION_DAMAGE_TO_CONSIDER = 15.0 	-- 15.0, see above
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_DIRECT_DISRUPTION_DAMAGE_FACTOR = 0.005		-- 0.01, Disruption damage to supply throughput done by bombing damage, not dependant on killing trains which also causes diruption.
NDefines.NAir.AIR_WING_ATTACK_LOGISTICS_TRUCK_MAX_FACTOR = 0.1 						-- 0.3, max trucks we can destroy in one instance of a logistics strike
NDefines.NAir.SECONDARY_DAMAGE_STRAT = 0.1  										-- 0.2, how much damage gets translated to railway guns for strat bombing
NDefines.NAir.SECONDARY_DAMAGE_LOGISTICS = 0.5 										-- 1.0, how much damage gets translated to railway guns for logistic strike

NDefines.NAir.NAVAL_MINES_PLANTING_SPEED_MULT = 0.0			-- 0.025, Value used to overall balance of the speed of planting naval mines
NDefines.NNavy.NAVAL_MINES_PLANTING_SPEED_MULT = 0.0		-- 0.01, Value used to overall balance of the speed of planting naval mines
NDefines.NNavy.NAVAL_MINES_IN_REGION_MAX = 1.0				-- 1000.0, Max number of mines that can be layed by the ships. The value should be hidden from the user, as we present % so it's an abstract value that should be used


-- Letter Mod
NDefines.NGame.MAX_SCRIPTED_LOC_RECURSION = 1001				-- max recursion for scripted localizations


-- Airport Capacity Multiplier
NDefines.NBuildings.AIRBASE_CAPACITY_MULT = 100		-- Each level of airbase building multiplied by this, gives capacity (max operational value). Value is int. 1 for each airplane.


-- Embargo Mod
NDefines.NTrade.BASE_TRADE_FACTOR = 50
NDefines.NTrade.PARTY_SUPPORT_TRADE_FACTOR = 20


-- 10 (6) support company
NDefines.NMilitary.MAX_DIVISION_SUPPORT_WIDTH = 2
NDefines.NMilitary.MAX_DIVISION_SUPPORT_HEIGHT = 3


-- Realistic Nukes
NDefines.NCountry.NUCLEAR_PRODUCTION_SCALE = 3650							-- +1 nuclear_production gives 0.1 nuke per year (vanilla 365 -> 3650)
NDefines.NCountry.NUCLEAR_BOMB_DROP_WAR_SUPPORT_EFFECT_MAX_INFRA = 2.0 		-- Reduce enemy national war support on nuking a province, the value scales with infrastructure up to this number (vanilla 0.2 -> 2.0)
NDefines.NCountry.NUCLEAR_BOMB_DROP_WAR_SUPPORT_EFFECT_MAX_VP = 5			-- War support will be scaled down if there's less VP than this in the province (vanilla 3 -> 5)

NDefines.NMilitary.NUKE_MIN_DAMAGE_PERCENT = 1.50							-- Minimum damage from nukes as a percentage of current strength/organisation (vanilla 0.1 -> 1.50)
NDefines.NMilitary.NUKE_MAX_DAMAGE_PERCENT = 2.00							-- Maximum damage from nukes as a percentage of current strength/organisation (vanilla 0.9 -> 2.00)
NDefines.NMilitary.NUKE_DELAY_HOURS = 2											-- How many hours does it take for the nuclear drop to happen (vanilla 12 -> 2)

NDefines.NAir.STRATEGIC_BOMBER_NUKE_AIR_SUPERIORITY = 0.90					-- How much air superiority is needed for a tactical bomber to be able to nuke a province (vanilla 0.75 -> 0.9)


-- Industrial Expansion
NDefines.NBuildings.MAX_SHARED_SLOTS = 64
NDefines.NBuildings.MAX_BUILDING_LEVELS = 60


-- Free division/tank/navy editing (division template editing is in "r56_defines.lua")
NDefines.NProduction.EQUIPMENT_MODULE_ADD_XP_COST = 0.0					-- XP cost for adding a new equipment module in an empty slot when creating an equipment variant.
NDefines.NProduction.EQUIPMENT_MODULE_REPLACE_XP_COST = 0.0				-- XP cost for replacing one equipment module with an unrelated module when creating an equipment variant.
NDefines.NProduction.EQUIPMENT_MODULE_CONVERT_XP_COST = 0.0				-- XP cost for converting one equipment module to a related module when creating an equipment variant.
NDefines.NProduction.EQUIPMENT_MODULE_REMOVE_XP_COST = 0.0				-- XP cost for removing an equipment module and leaving the slot empty when creating an equipment variant.


-- Dockyard lines
NDefines.NProduction.DEFAULT_MAX_NAV_FACTORIES_PER_LINE = 20			--10
NDefines.NProduction.CONVOY_MAX_NAV_FACTORIES_PER_LINE = 50				--15
NDefines.NProduction.CAPITAL_SHIP_MAX_NAV_FACTORIES_PER_LINE = 10		--5


-- No surrender limit for collabs
NDefines.NCountry.SURRENDER_LIMIT_REDUCTION_PER_COLLABORATION = 0.0 	--0.3; each percent of collaboration will lower surrender limit by this percentage